Subject: Re: [PATCH V3 0/7] net/bonding: ADD IPoIB support for the bonding driver

From: Roland Dreier <[email-masked]>
Date: Mon, 30 Jul 2007 14:20:22 -0700

> 1. When bonding enslaves an IPoIB device the bonding neighbor holds a 
 > reference to a cleanup function in the IPoIB drives. This makes it unsafe to 
 > unload the IPoIB module if there are bonding neighbors in the air. So, to 
 > avoid this race one must unload bonding before unloading IPoIB. 

I think we really want to resolve this somehow.  Getting an oops by
doing "modprobe -r ipoib" isn't that friendly.

Also, what happened to the problem of having an address handle
belonging to the wrong device on bond failover?  Did you figure out a
way to fix that one?

 - R.